AOZ Studio Beta - Bug #402

Chr$(8), Chr$(9), Chr$(10), Chr$(12),Chr$(13) are not processed properly in AOZ.
06/28/2020 07:14 PM - Brian Flanagan

Status: Closed Start date: 06/28/2020
Priority: High Due date:

Assignee: David Baldwin % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B10) u16

Description

This is what SHOULD happen when these special characters are contained within strings being printed:

Chr$(8) (backspace) should put the text cursor at the previous x position.

Chr$(9) (tab) should put the text cursor at the next TAB position.

Chr$(10) (line feed) should put the text cursor at the current x position on the next line.
Chr$(12) (form feed) should have the same effect on-screen as Chr$(13).

Chr$(13) (carriage return) should put the text cursor at the beginning of the current line.

Right now, all of these are ignored.

History

#1 - 09/15/2020 04:10 AM - Brian Flanagan

- Assignee set to AOZ Studio Team

- Estimated time set to 2:00 h

- Affected version changed from 0.9.9.3 to Beta RC2

Tab (Chr$(9)) is now working, but the rest still fail.

Chr$(8), Chr$(10), and Chr$(12) move the cursor forward 1.
Chr$(13) does nothing.

#2 - 09/15/2020 04:11 AM - Brian Flanagan
- Priority changed from Normal to High

#3 - 03/02/2021 08:59 AM - malcolm harvey
- Affected version changed from Beta RC2 to 1.0.0 (B4)

Brian Flanagan wrote:

This is what SHOULD happen when these special characters are contained within strings being printed:

Chr$(8) (backspace) should put the text cursor at the previous x position.

Chr$(9) (tab) should put the text cursor at the next TAB position.

Chr$(10) (line feed) should put the text cursor at the current x position on the next line.
Chr$(12) (form feed) should have the same effect on-screen as Chr$(13).

Chr$(13) (carriage return) should put the text cursor at the beginning of the current line.

Right now, all of these are ignored.

Tested this again 2/3/21 and still not working.

ie: For example, in relation to just the chr$(13) and chr$(10).

Still in Amiga mode, Chr$(13); will only do CR, and Chr$(10); will only do LF
#4 - 03/02/2021 09:05 AM - malcolm harvey

A real world example of this on an input char routine.

Ok, When | detect how far using the text curs moves with X curs in my case 19 characters, | then decide to move down a line, so | do a print chr$(13)
or and in combination with a print chr$(10) which moves the curs down left to start as it should and down a line.

What happens then is, the next character input again jumps back to the end of the previous line and then, the next char goes back to the start of the
next line as it should again.

The Curs in Amiga mode anyways, does not actually go there at all at this point in time in reality.

#5 - 09/17/2021 11:26 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16
Tab is still the only one of these working.

Chr$(9) is working.

Chr$(8) fails. (ignored)
Chr$(13) fails. (ignored)
Chr$(10) fails. (ignored)
Chr$(12) fails. (ignored)

#6 - 09/17/2021 11:27 AM - Brian Flanagan

Failures are in both manifests.

#7 - 10/21/2021 09:47 AM - Brian Flanagan

Re-tested in 21 Oct 2021 version.
Chr$(9) is still the only one that works.

#8 - 11/07/2021 06:41 PM - David Baldwin
- Status changed from New to Resolved

- Assignee changed from AOZ Studio Team to David Baldwin

All fixed.

#9 - 11/08/2021 01:00 PM - Brian Flanagan

- Status changed from Resolved to Feedback

Almost. Sorry about the error in the bug report. (My bad.)

Chr$(12) should NOT have the same effect as Chr$(13)
It should place the text cursor at the top left of the current text window.

® Brian

#10 - 11/09/2021 08:05 PM - David Baldwin

- Status changed from Feedback to Resolved

Fixed

#11 - 02/13/2022 05:29 PM - David Baldwin

- Status changed from Resolved to Closed
